Debian Bug report logs - #652089
new eagle released, but incompatible with debian

version graph

Package: src:eagle; Maintainer for src:eagle is Scott Howard <showard@debian.org>;

Reported by: Scott Howard <showard@debian.org>

Date: Wed, 14 Dec 2011 17:57:01 UTC

Severity: wishlist

Merged with 679467, 683520

Found in version eagle/6.0.0

Fixed in version eagle/6.3.0-1

Done: Scott Howard <showard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#652089; Package src:eagle. (Wed, 14 Dec 2011 17:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard@debian.org>:
New Bug report received and forwarded. (Wed, 14 Dec 2011 17:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: submit@bugs.debian.org
Subject: new eagle released, but incompatible with debian
Date: Wed, 14 Dec 2011 12:52:23 -0500
Source: eagle
Version: 6.0.0
Severity: wishlist
thanks

new version is released, but it depends on libpng14. Debian has
libpng12 and skipping to libpng15. Upstream acknowledges this, and
suggests users install libpng14. I'm not going to maintain libpng14
and will not package 6.0.0 until either Debian gets libpng14 or
upstream's precompiled binaries are released for libpng15 (and debian
unstable uses libpng15.)

For information see:
http://www.eaglecentral.ca/forums/index.php/mv/msg/45710/142549/

If you'd like eagle 6.0.0, see:
http://www.element14.com/community/message/41329#41329/l/re-solved-problem-trying-to-install-eagle-6-over-linux-ubuntu-1110
or
http://www.element14.com/community/message/41397#41397/l/re-trouble-with-eagle-6-on-ubuntu-1004

For information on libpng14 in fedora, see:
https://bugzilla.redhat.com/show_bug.cgi?id=754244
(they, like us, are skipping 14)




Information forwarded to debian-bugs-dist@lists.debian.org, Scott Howard <showard@debian.org>:
Bug#652089; Package src:eagle. (Fri, 29 Jun 2012 14:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard314@gmail.com>:
Extra info received and forwarded to list. Copy sent to Scott Howard <showard@debian.org>. (Fri, 29 Jun 2012 14:33:05 GMT) Full text and rfc822 format available.

Message #10 received at 652089@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: Fernando J. Rodríguez <groucho@lugmen.org.ar>, 679467@bugs.debian.org, control@bugs.debian.org, 652089@bugs.debian.org
Subject: Re: Bug#679467: eagle: Please consider packaging EAGLE 6.x
Date: Fri, 29 Jun 2012 10:28:55 -0400
forcemerge 652089 679467
thanks

On Thu, Jun 28, 2012 at 6:24 PM, Fernando J. Rodríguez
<groucho@lugmen.org.ar> wrote:
> Package: eagle
> Version: 5.10.0-2
> Severity: wishlist
>
> Dear maintainers:
> The version of EAGLE in the archive is 5.12.0, but upstream's latest version is 6.2,
> released on 2012-04-12. [1]

Thanks, see:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=652089

and:
http://www.element14.com/community/thread/17738

The big problem is that libpng14 will never be in Debian (or any other
major distro except OpenSUSE) and eagle requires libpng14. I, and many
others, have tried to see if Cadsoft would comment on or change that -
and their position has been that it's illegal for them to statically
link or distribute libpng14 (which doesn't make sense since it uses
quite an open and free license).

Debian libpng maintainers aren't interested in introducing and
maintaining an older version of png, so unless someone else packages
it we cannot distribute eagle 6.




Merged 652089 679467 Request was from Scott Howard <showard314@gmail.com> to control@bugs.debian.org. (Fri, 29 Jun 2012 14:39:06 GMT) Full text and rfc822 format available.

Merged 652089 679467 683520 Request was from Scott Howard <showard314@gmail.com> to control@bugs.debian.org. (Wed, 01 Aug 2012 13:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Scott Howard <showard@debian.org>:
Bug#652089; Package src:eagle. (Fri, 24 Aug 2012 16:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard314@gmail.com>:
Extra info received and forwarded to list. Copy sent to Scott Howard <showard@debian.org>. (Fri, 24 Aug 2012 16:51:03 GMT) Full text and rfc822 format available.

Message #19 received at 652089@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 652089@bugs.debian.org
Subject: Update with eagle and precompiled libraries
Date: Fri, 24 Aug 2012 12:50:10 -0400
Version 6.2.1:
  - Linux: libpng and libjpeg directly linked into the executable to get rid of
    dependency and availability of according system libs.


Looks like we can get eagle 6 in debian soon



Reply sent to Scott Howard <showard@debian.org>:
You have taken responsibility. (Mon, 15 Oct 2012 23:21:05 GMT) Full text and rfc822 format available.

Notification sent to Scott Howard <showard@debian.org>:
Bug acknowledged by developer. (Mon, 15 Oct 2012 23:21:05 GMT) Full text and rfc822 format available.

Message #24 received at 652089-close@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: 652089-close@bugs.debian.org
Subject: Bug#652089: fixed in eagle 6.3.0-1
Date: Mon, 15 Oct 2012 23:17:34 +0000
Source: eagle
Source-Version: 6.3.0-1

We believe that the bug you reported is fixed in the latest version of
eagle, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 652089@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Howard <showard@debian.org> (supplier of updated eagle package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 15 Oct 2012 17:04:13 -0400
Source: eagle
Binary: eagle
Architecture: source i386
Version: 6.3.0-1
Distribution: experimental
Urgency: low
Maintainer: Scott Howard <showard@debian.org>
Changed-By: Scott Howard <showard@debian.org>
Description: 
 eagle      - Printed circuit board design tool
Closes: 652089
Changes: 
 eagle (6.3.0-1) experimental; urgency=low
 .
   * New upstream release (Closes: #652089, LP: #952256)
   * Removed eagle-data package since this is i386 only, no need for
     "all" data package
Checksums-Sha1: 
 7e32882bb43eba6799fa95b42b3e5463ad392f63 1247 eagle_6.3.0-1.dsc
 177421c16324e3edf1f30143de8cc03524274ed7 45290263 eagle_6.3.0.orig.tar.gz
 38f1f4996358785fbd530fd125daaf4e9ae9c647 463915 eagle_6.3.0-1.debian.tar.gz
 6a7e032548c8d121051e1fd732dc04bedea9feef 44102140 eagle_6.3.0-1_i386.deb
Checksums-Sha256: 
 dbdfbdc4ff657928b6da2bae12d5e931b5465a8299c665aa277f0e93846fd734 1247 eagle_6.3.0-1.dsc
 2ebeea80b1d0b23a303fad25f52e2127b9617d7958e211798f619fa42f46a762 45290263 eagle_6.3.0.orig.tar.gz
 7f9a3cd9f1f35b4b6c13fe1a7b027fc68fa341099c8f140a29334376c8d06a66 463915 eagle_6.3.0-1.debian.tar.gz
 0255ac73817775b175b9382e06d40593bdc55192ee92ccab454051e1a642bc60 44102140 eagle_6.3.0-1_i386.deb
Files: 
 80d2f61e57156dddc81478f708c8e614 1247 non-free/electronics extra eagle_6.3.0-1.dsc
 cdcddd59e07abbb7361875b5260d97ac 45290263 non-free/electronics extra eagle_6.3.0.orig.tar.gz
 5c1f401f4d96de2a2985afb31f61c31b 463915 non-free/electronics extra eagle_6.3.0-1.debian.tar.gz
 f8a8bc11b8ccf3514a76ac36f846426d 44102140 non-free/electronics extra eagle_6.3.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAlB8ldQACgkQuqVp0MvxKmqgggCfawHt1zQxGBIWM1t294SpjD+7
igIAoKbzar2VB8VUJRf1oks0ZbSfwA6u
=5mgr
-----END PGP SIGNATURE-----




Reply sent to Scott Howard <showard@debian.org>:
You have taken responsibility. (Mon, 15 Oct 2012 23:21:06 GMT) Full text and rfc822 format available.

Notification sent to Fernando J. Rodríguez <groucho@lugmen.org.ar>:
Bug acknowledged by developer. (Mon, 15 Oct 2012 23:21:06 GMT) Full text and rfc822 format available.

Reply sent to Scott Howard <showard@debian.org>:
You have taken responsibility. (Mon, 15 Oct 2012 23:21:06 GMT) Full text and rfc822 format available.

Notification sent to David Goodenough <david.goodenough@btconnect.com>:
Bug acknowledged by developer. (Mon, 15 Oct 2012 23:21:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Nov 2012 07:26:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:51:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.